datablock ParticleData(ThingTendrilsParticle)
{
	dragCoefficient      = 0.02;
	gravityCoefficient   = -0.05;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 1300;
	lifetimeVarianceMS   = 0;
	textureName          = "./muffinelec";
	spinSpeed		= 0.6;
	spinRandomMin		= -150.0;
	spinRandomMax		= 150.0;
	colors[0]     = "1.0 0.0 0.0 0.6";
	colors[1]     = "1.0 0.2 0.2 0.8";
	colors[2]     = "1.0 0.4 0.4 1.0";
	sizes[0]      = 3.50;
	sizes[1]      = 3.75;
	sizes[2]      = 6.50;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.2;
	times[2]      = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(ThingTendrilsEmitter)
{
   ejectionPeriodMS = 50;
   periodVarianceMS = 25;
   ejectionVelocity = 0.7;
   velocityVariance = 0.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 100;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = true;
   particles = "ThingTendrilsParticle";

   useEmitterColors = false;

    uiName = "Thing Tendrils";
};


datablock ParticleData(ThinggoreParticle)
{
   dragCoefficient      = 6;
   gravityCoefficient   = 0.6;
   inheritedVelFactor   = 0.5;
   constantAcceleration = 0;
   lifetimeMS           = 2000;
   lifetimeVarianceMS   = 1000;
   textureName          = "./pain";
   spinSpeed      = 0;
   spinRandomMin  = -100;
   spinRandomMax   = 100;
   colors[0]     = "1 0 0 1";
   colors[1]     = "0.8 0 0 0.9 ";
   colors[2]     = "0.5 0 0 0";
   sizes[0]      = 1;
   sizes[1]      = 2.5;
   sizes[2]      = 0.65;
   times[1] = 0.5;
   times[2] = 1;
   useInvAlpha = true;
};
datablock ParticleEmitterData(ThinggoreEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 5;
   ejectionOffset   = 0.25;
   thetaMin         = 5;
   thetaMax         = 105;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ThinggoreParticle";

   uiName = "Thing Gore";
};

datablock ParticleData(ThingsmallBloodParticle)
{
   dragCoefficient = 3;
   gravityCoefficient = 0.5;
   inheritedVelFactor = 0.3;
   constantAcceleration = 0;
   lifetimeMS         = 1000;
   lifetimeVarianceMS = 250;
   textureName = "base/data/particles/dot";
   spinSpeed     = 0;
   spinRandomMin = -20;
   spinRandomMax = 20;
   colors[0] = "0.6 0 0 1";
   colors[1] = "0.5 0 0 0.9 ";
   colors[2] = "0.4 0 0 0";
   sizes[0] = 0.06;
   sizes[1] = 0.09;
   sizes[2] = 0.04;
   times[1] = 0.5;
   times[2] = 1;
   useInvAlpha = true;
};

datablock ParticleEmitterData(ThingsmallBloodEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   velocityVariance = 1.2;
   ejectionOffset   = 0;
   thetaMin = 0;
   thetaMax = 180;
   phiReferenceVel = 0;
   phiVariance     = 360;
   overrideAdvance = false;
   lifetimeMS = 3500;
   particles = "ThingsmallBloodParticle";

   uiName = "Thing Bleed";
};

datablock ParticleData(ThingbigBloodParticle)
{
   dragCoefficient      = 2;
   gravityCoefficient   = 0.7;
   inheritedVelFactor   = 0.4;
   constantAcceleration = 0;
   lifetimeMS         = 750;
   lifetimeVarianceMS = 250;
   textureName = "base/data/particles/cloud";
   spinSpeed     = 0;
   spinRandomMin = -400;
   spinRandomMax = 400;
   colors[0] = "0.7 0 0 1";
   colors[1] = "0.6 0 0 0.9 ";
   colors[2] = "0.45 0 0 0";
   sizes[0]  = 0.2;
   sizes[1]  = 0.25;
   sizes[2]  = 0.17;
   times[1]  = 0.5;
   times[2]  = 1;
   useInvAlpha = true;
};

datablock ParticleEmitterData(ThingbigBloodEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 1.5;
   ejectionOffset   = 0.2;
   thetaMin         = 0;
   thetaMax         = 105;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ThingbigBloodParticle";

   uiName = "Thing Blood";
};


//Emitter Shapes
datablock ShapeBaseImageData(ThingTransEmitterImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $Headslot;

	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "FireA";
	stateTimeoutValue[0]          = 0.01;

	stateName[1]                  = "FireA";
	stateTransitionOnTimeout[1]   = "FireB";
	stateWaitForTimeout[1]        = True;
	stateTimeoutValue[1]          = 0.01;
	stateEmitter[1]               = ThingTendrilsEmitter;
	stateEmitterTime[1]           = 2;

	stateName[2]                  = "FireB";
	stateTransitionOnTimeout[2]   = "FireC";
	stateWaitForTimeout[2]        = True;
	stateTimeoutValue[2]          = 0.01;
	stateEmitter[2]               = ThinggoreEmitter; 
	stateEmitterTime[2]           = 2;

	stateName[3]                  = "FireC";
	stateTransitionOnTimeout[3]   = "FireD";
	stateWaitForTimeout[3]        = True;
	stateTimeoutValue[3]          = 0.1;
	stateEmitter[3]               = ThingsmallBloodEmitter;
	stateEmitterTime[3]           = 2;
	
	stateName[4]                  = "FireD";
	stateTransitionOnTimeout[4]   = "Done";
	stateWaitForTimeout[4]        = True;
	stateTimeoutValue[4]          = 4;
	stateEmitter[4]               = ThingbigBloodEmitter;
	stateEmitterTime[4]           = 2;

	stateName[5]                  = "Done";
	stateScript[5]                = "onDone";
};